%global srcname testrepository

Name:           python-%{srcname}
Version:        0.0.20
Release:        %mkrel 9
Summary:        A repository of test results
Group:          Development/Python
License:        ASL2.0 or BSD
URL:            https://launchpad.net/testrepository
Source0:        https://pypi.python.org/packages/source/t/%{srcname}/%{srcname}-%version.tar.gz
BuildArch:      noarch

%description
This project provides a database of test results which can be used as
part of developer workflow to ensure/check things like:
* No commits without having had a test failure, test fixed cycle.
* No commits without new tests being added.
* What tests have failed since the last commit (to run just a subset).
*What tests are currently failing and need work.

%package -n     python3-%{srcname}
Summary:        A repository of test results
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This project provides a database of test results which can be used as
part of developer workflow to ensure/check things like:
* No commits without having had a test failure, test fixed cycle.
* No commits without new tests being added.
* What tests have failed since the last commit (to run just a subset).
*What tests are currently failing and need work.

This is the Python 3 version of the package.

%prep
%setup -q -n %{srcname}-%{version}

# Remove bundled egg-info
rm -rf %{srcname}.egg-info

%build
%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/testr{,-%{python3_version}}

%files -n python3-%{srcname}
%{_bindir}/testr-%{python3_version}
%{python3_sitelib}/*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.0.20-9.mga8
+ Revision: 1532692
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 0.0.20-8.mga8
+ Revision: 1442610
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 tv <tv> 0.0.20-7.mga7
+ Revision: 1352043
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.0.20-6.mga7
+ Revision: 1290400
- Mageia 7 Mass Rebuild

* Thu Mar 22 2018 kekepower <kekepower> 0.0.20-5.mga7
+ Revision: 1211340
- Renamed python-testrepository to python2-testrepository
- Use python_provide

* Sat Aug 05 2017 pterjan <pterjan> 0.0.20-4.mga7
+ Revision: 1135660
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 0.0.20-3.mga6
+ Revision: 971213
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 daviddavid <daviddavid> 0.0.20-2.mga6
+ Revision: 889840
- add python3 package
- use new python macros

* Mon Aug 31 2015 fwang <fwang> 0.0.20-1.mga6
+ Revision: 871507
- update file list
- add spec
+ bcornec <bcornec>
- Created package structure for python-testrepository.

